#ifndef SNEeSe_snes_h
#define SNEeSe_snes_h

#include "misc.h"

#ifdef DEBUG
#ifdef CPUTRACKER
EXTERN unsigned char *InsAddress;
EXTERN unsigned long LastIns;
#endif
#ifdef SPCTRACKER
EXTERN unsigned char *SPC_InsAddress;
EXTERN unsigned long SPC_LastIns;
#endif
#endif

EXTERN signed char snes_rom_loaded;

EXTERN int snes_init(void);
EXTERN void snes_reset(void);
EXTERN void set_snes_pal(void);
EXTERN void set_snes_ntsc(void);
EXTERN void snes_exec(void);
EXTERN void Reset_Memory(void);
EXTERN void Reset_SRAM(void);
EXTERN void save_debug_dumps(void);

#endif /* SNEeSe_snes_h */
